MyGUI::Singleton< T > Class Template Reference

`#include <MyGUI_Singleton.h>`

## Public Member Functions

| Singleton ()
virtual | ~Singleton ()

## Static Public Member Functions

static T & | getInstance ()
static T * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

template<class T>
class MyGUI::Singleton< T >

Definition at line 17 of file MyGUI_Singleton.h.

## Constructor & Destructor Documentation

## Singleton()

template<class T>

MyGUI::Singleton< T >::Singleton | ( |  | ) |

inline

Definition at line 25 of file MyGUI_Singleton.h.

## ~Singleton()

template<class T>

virtual MyGUI::Singleton< T >::~Singleton | ( |  | ) |

inline virtual

Definition at line 31 of file MyGUI_Singleton.h.

## Member Function Documentation

## getClassTypeName()

template<class T>

std::string_view MyGUI::Singleton< T >::getClassTypeName | ( |  | ) |

inline static

Definition at line 53 of file MyGUI_Singleton.h.

## getInstance()

template<class T>

T & MyGUI::Singleton< T >::getInstance | ( |  | ) |

inline static

Definition at line 40 of file MyGUI_Singleton.h.

## getInstancePtr()

template<class T>

T * MyGUI::Singleton< T >::getInstancePtr | ( |  | ) |

inline static

Definition at line 48 of file MyGUI_Singleton.h.

The documentation for this class was generated from the following file:

- MyGUI_Singleton.h